import React from 'react';
import { Connector } from 'wagmi';
import { GetAccountResult } from '@wagmi/core';
import { providers } from 'ethers';
declare type ConnectEthWalletProps = {
    children(props: {
        connectors: Connector[];
        connect: (connector: Connector) => Promise<any>;
        disconnect: () => void;
        account?: GetAccountResult<providers.BaseProvider>;
    }): React.ReactElement;
};
declare const ConnectEthWallet: React.FC<ConnectEthWalletProps>;
export default ConnectEthWallet;
//# sourceMappingURL=eth-wallet.d.ts.map