"use strict";
exports.__esModule = true;
var wagmi_1 = require("wagmi");
var ConnectEthWallet = function ConnectEthWallet(_a) {
    var children = _a.children;
    var _b = (0, wagmi_1.useConnect)(), connectors = _b.connectors, connectAsync = _b.connectAsync;
    var account = (0, wagmi_1.useAccount)().data;
    var disconnect = (0, wagmi_1.useDisconnect)().disconnect;
    return children({
        connectors: connectors,
        connect: function (connector) { return connectAsync(connector); },
        disconnect: function () { return disconnect(); },
        account: account
    });
};
exports["default"] = ConnectEthWallet;
