import React from 'react';
declare const DEFAULT_BUTTON_TAG = "button";
declare type PayInvoiceButtonOwnProps<T extends React.ElementType = 'button'> = {
    as?: T;
    className?: string;
    invoice?: string;
};
declare type ButtonProps<T extends React.ElementType> = PayInvoiceButtonOwnProps<T> & Omit<React.ComponentPropsWithoutRef<T>, keyof PayInvoiceButtonOwnProps<T>>;
declare function PayInvoiceButton<T extends React.ElementType = typeof DEFAULT_BUTTON_TAG>({ as, className, invoice, children, ...props }: ButtonProps<T>): React.ReactElement | null;
export type { PayInvoiceButtonOwnProps };
export default PayInvoiceButton;
//# sourceMappingURL=invoice-button.d.ts.map