import React from 'react';
declare const DEFAULT_BUTTON_TAG = "button";
declare type PayPaymentIntentButtonOwnProps<T extends React.ElementType = 'button'> = {
    as?: T;
    className?: string;
    paymentIntent?: string;
};
declare type ButtonProps<T extends React.ElementType> = PayPaymentIntentButtonOwnProps<T> & Omit<React.ComponentPropsWithoutRef<T>, keyof PayPaymentIntentButtonOwnProps<T>>;
declare function PayPaymentIntentButton<T extends React.ElementType = typeof DEFAULT_BUTTON_TAG>({ as, className, paymentIntent, children, ...props }: ButtonProps<T>): React.ReactElement | null;
export type { PayPaymentIntentButtonOwnProps };
export default PayPaymentIntentButton;
//# sourceMappingURL=payment-intent-button.d.ts.map