"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
var react_1 = __importDefault(require("react"));
var useSubscription_1 = __importDefault(require("../../hooks/useSubscription"));
var invoice_button_1 = __importDefault(require("./invoice-button"));
var PayRenewalButton = function PayRenewalButton(_a) {
    var subscription = _a.subscription, children = _a.children, props = __rest(_a, ["subscription", "children"]);
    var sub = (0, useSubscription_1["default"])(subscription);
    var invoice = react_1["default"].useMemo(function () { var _a, _b; return ((_a = sub === null || sub === void 0 ? void 0 : sub.latest_invoice) === null || _a === void 0 ? void 0 : _a.status) === 'open' ? (_b = sub === null || sub === void 0 ? void 0 : sub.latest_invoice) === null || _b === void 0 ? void 0 : _b.id : undefined; }, [sub === null || sub === void 0 ? void 0 : sub.latest_invoice]);
    return (react_1["default"].createElement(invoice_button_1["default"], __assign({ invoice: invoice }, props), children));
};
exports["default"] = PayRenewalButton;
