
import React from 'react';
import { WagmiConfig } from 'wagmi'
import wagmiClient from '../../lib/wagmi-client';

interface EthConfigProps extends React.HTMLAttributes<HTMLDivElement> { }

const EthConfig: React.FC<EthConfigProps> = function EthConfig({ children }) {
  return (
    <WagmiConfig client={wagmiClient}>
      {children}
    </WagmiConfig>
  );
};

export default EthConfig;
