import React from 'react';

export type SolanaContextType = {
  test: boolean;
  setTest: React.Dispatch<React.SetStateAction<boolean>>
};

const SolanaContext = React.createContext<SolanaContextType>({
  test: false,
  setTest: () => { },
});

export default SolanaContext;
