"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
var usePayPaymentIntent_1 = __importDefault(require("../../hooks/usePayPaymentIntent"));
var react_1 = __importDefault(require("react"));
var DEFAULT_BUTTON_TAG = 'button';
function PayPaymentIntentButton(_a) {
    var as = _a.as, className = _a.className, paymentIntent = _a.paymentIntent, children = _a.children, props = __rest(_a, ["as", "className", "paymentIntent", "children"]);
    var Tag = as || DEFAULT_BUTTON_TAG;
    var _b = (0, usePayPaymentIntent_1["default"])(), payPaymentIntent = _b.payPaymentIntent, loading = _b.loading;
    var handleClick = react_1["default"].useCallback(function () {
        if (!payPaymentIntent || !paymentIntent)
            return;
        return payPaymentIntent(paymentIntent);
    }, [paymentIntent, payPaymentIntent]);
    return (react_1["default"].createElement(Tag, __assign({ disabled: !paymentIntent || !payPaymentIntent || loading, className: className, onClick: handleClick }, props), children));
}
exports["default"] = PayPaymentIntentButton;
