"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
var react_1 = __importDefault(require("react"));
var prism_beta_1 = __importDefault(require("prism-beta"));
var prism_1 = __importDefault(require("../contexts/prism"));
function usePrism() {
    var _a = react_1["default"].useContext(prism_1["default"]), key = _a.key, options = _a.options;
    return react_1["default"].useMemo(function () { return key && new prism_beta_1["default"](key, options); }, [key, options]);
}
exports["default"] = usePrism;
