"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
var usePrism_1 = __importDefault(require("./usePrism"));
var react_1 = __importDefault(require("react"));
var prism_1 = __importDefault(require("../contexts/prism"));
function useSubscription(id) {
    var prismAccount = react_1["default"].useContext(prism_1["default"]).prismAccount;
    var prism = (0, usePrism_1["default"])();
    var _a = react_1["default"].useState(null), subscription = _a[0], setSubscription = _a[1];
    react_1["default"].useEffect(function () {
        if (!id || !prism)
            return;
        prism.retrieveSubscription(id, prismAccount ? { prismAccount: prismAccount } : undefined)
            .then(function (sub) { return setSubscription(sub); })["catch"](function (err) { return console.log(err); });
    }, []);
    return subscription;
}
exports["default"] = useSubscription;
