import React from 'react';
import EthConfig from '../components/config/eth';

export default function withEth<T>(Component: React.FC<T>) {
  return function ComponentWithEth(hocProps: T) {
    return (
      <EthConfig>
        <Component {...hocProps} />
      </EthConfig>
    );
  };
}
