import React from 'react';
import SolConfig from '../components/config/sol';

export default function withSol<T>(Component: React.FC<T>) {
  return function ComponentWithEth(hocProps: T) {
    return (
      <SolConfig>
        <Component {...hocProps} />
      </SolConfig>
    );
  };
}
