
import React from 'react';
import Prism from 'prism-beta';
import PrismContext from '../contexts/prism';

export default function usePrism() {
  const { key, options } = React.useContext(PrismContext);
  return React.useMemo(() => key && new Prism(key, options), [key, options]);
}
